Subject: Inter-area routes reachable via multiple areas

From: Liu Yu <[email-masked]>
Date: Wed, 10 Sep 2003 11:06:43 +0800

Hi! all

I notice that the clause in  RFC 2328 16.4 (3) is just for external route.
How about "inter-area routes"？ RFC 2328 does not explicitly state this 
one! Just choose the "the path whose associated area has the
largest OSPF Area ID "？？ Maybe every one has his own implentation.

thanks!

----- Original Message ----- 
From: "Acee Lindem" <[email-masked]>
To: <[email-masked]>
Sent: Friday, August 01, 2003 5:46 AM
Subject: Re: ASBR reachable via multiple areas

> Rob,
> 
> You are correct - I missed that clause in 16.4 (3) when
> re-reading. I should have checked my implementation before
> replying. I can't envision why installing an equal-costs
> routes through multiple areas using the same 16.4.1 selection
> rules could cause a routing loop or other problem.
> 
> Thanks,
> Acee
> 
> ROB PATH wrote:
> > --- Acee Lindem <[email-masked]> wrote:
> >
> >>Igor Miroshnik wrote:
> >>
> >>>All,
> >>>
> >>>   RFC 1583 states: "AS boundary router's routing
> >>
> >>table entry must indicate a set of paths which
> >>
> >>>utilize a single area." (16.1)
> >>>   Why not utilize all equal-cost paths through
> >>
> >>different areas?
> >>
> >>Hi Igor,
> >>
> >>I believe you can calculate equal cost paths through
> >>multiple
> >>areas - read section 16.4 and 16.4.1 in RFC 2328
> >>(which
> >>obsoletes RFC 2178 which obsoletes RFC 1583).
> >>
> >>
> >
> >
> > The section 16.4 in RFC 2328 does not explicitly state
> > that equal cost paths through multiple areas could be
> > utilized (say for load balancing purposes).
> >
> > It rather states that when there are multiple
> > least cost paths available in the routing
> > table, the path whose associated area has the
> > largest OSPF Area ID is chosen.
> >
> > Also section 16.4.1 refers to section 16.4 for
> > choosing a path based on cost, when there are
> > multiple paths of equal highest preferences.
> >
> > So it essentially means that multiple equal cost
> > inter-area paths are not utilized.
> >
> > Thanks,
> >     Rob.
> >
> >
> >
> >>
> >>>   Thanks,
> >>>   Igor
> >>>
> >>
> >>
> >>--
> >>Acee
> >
> >
> >
> > =====
> > Rob Path
> > E-Mail : [email-masked]
> >
> > __________________________________
> > Do you Yahoo!?
> > Yahoo! SiteBuilder - Free, easy-to-use web site design software
> > http://sitebuilder.yahoo.com
> >
> 
> 
> --
> Acee

---

From: Erblichs <[email-masked]>
Date: Wed, 10 Sep 2003 00:39:56 -0700

Group,

        This draft was specifing nbr flooding vs interface
        flooding and was interested to know whether anyone
        was aware of what was meant by the phrase:

                "Multiaccess interfaces need special treatmeant"
                in the 3.1 Introduction section.

        By my read, if the interface was a BMA or a NBMA, then
        you would have needed "neighbor flooding active/passive"
        type configs.

        I have been asked to investigate some of its features, but
        believe that this draft never was pushed to RFC. Am I
        right and did anyone implement these features.

        Mitchell Erblich
        Sr Software Engineer
        ----------